GuideLab API

Get Aged Balances

Retrieve aged balance report across all partner clinics. Lab-only. Breaks down outstanding amounts into current, 30-day, 60-day, and 90+ day buckets with per-clinic and grand totals.

GET
/finances/aged-balances

Retrieve aged balance report across all partner clinics. Lab-only. Breaks down outstanding amounts into current, 30-day, 60-day, and 90+ day buckets with per-clinic and grand totals.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

search?string

Filter clinics by name

asOfDate?string

Reference date for ageing calculations

Response Body

application/json

application/json

curl -X GET "https://example.com/finances/aged-balances"
{  "rows": [    {      "partnershipId": "string",      "partnershipStatus": "string",      "clinicId": "string",      "clinicName": "string",      "clinicNameMissing": true,      "currency": "string",      "current": "string",      "days30": "string",      "days60": "string",      "days90Plus": "string",      "total": "string"    }  ],  "totals": [    {      "currency": "string",      "current": "string",      "days30": "string",      "days60": "string",      "days90Plus": "string",      "total": "string"    }  ]}
{  "error": "string"}